//+------------------------------------------------------------------+
//|                                                    RSI+Arrow.mq4 |
//|                                                         _______ |
//|                                                    |
//+------------------------------------------------------------------+
#property copyright "_______"
#property link      "_________"


#property indicator_chart_window
#property indicator_buffers 3
#property indicator_color1 Crimson
#property indicator_color2 RoyalBlue
//---- input parameters
extern int RSI_Period=8;

//---- buffers
double ExtMapBuffer1[],
       ExtMapBuffer2[],
       RSIBuffer3[];

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
   IndicatorBuffers(3);
   SetIndexStyle(0,DRAW_ARROW);
   SetIndexArrow(0,236);
   SetIndexBuffer(0,ExtMapBuffer1);
   SetIndexEmptyValue(0,0.0);
   SetIndexStyle(1,DRAW_ARROW);
   SetIndexArrow(1,238);
   SetIndexBuffer(1,ExtMapBuffer2);
   SetIndexEmptyValue(1,0.0);
   SetIndexBuffer (2,RSIBuffer3);
   //     
   SetIndexLabel  (2,"RSIBuffer3");
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {    
   //     
   int limit,i;
   int counted_bars=IndicatorCounted();
   limit=Bars-counted_bars;
   if(limit>1)
   limit=Bars-RSI_Period-1;
   
   //  RSI  
   for(i=limit; i>=0; i--)
       RSIBuffer3[i]=iRSI(NULL,0,RSI_Period,PRICE_CLOSE,i);

  //                         
   for(i=limit; i>=0; i--)
   {
      ExtMapBuffer2[i+1]=0.0;
      if(RSIBuffer3[i+2]-RSIBuffer3[i+1]>0 && RSIBuffer3[i+1]-RSIBuffer3[i]>0) //    
         ExtMapBuffer2[i+1]=Low[i+1]-5*Point;
               
      ExtMapBuffer1[i]=0.0;           
      if(RSIBuffer3[i+2]-RSIBuffer3[i+1]<0 && RSIBuffer3[i+1]-RSIBuffer3[i]<0) //   
         ExtMapBuffer1[i+1]=High[i+1]+5*Point;
         
   }
                   
   return(0);
   }
        
//+------------------------------------------------------------------+   